List authorizations
curl --request GET \
--url https://uat-api.clinkbill.com/agent/platform/authorizations \
--header 'Authorization: Bearer <token>'HttpResponse<String> response = Unirest.get("https://uat-api.clinkbill.com/agent/platform/authorizations")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://uat-api.clinkbill.com/agent/platform/authorizations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://uat-api.clinkbill.com/agent/platform/authorizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 200,
"msg": "Success",
"data": {
"total": 1,
"page_num": 1,
"page_size": 20,
"records": [
{
"instruction_id": "inst_...",
"client_reference_id": "0f1e2d3c-...",
"payment_instrument_id": "pi_...",
"card_last_four": "4242",
"card_type": "VIRTUAL_CARD",
"card_scheme": "VISA",
"title": "Example authorization",
"description": "Purchase authorization",
"total_amount_limit": 100,
"currency_code": "USD",
"effective_until_time": "2026-02-01T00:00:00Z",
"is_recurring": false,
"status": "ACTIVE",
"agent_info": {},
"mandates": [],
"usages": []
}
]
}
}{
"code": 123,
"msg": "<string>"
}{
"code": 123,
"msg": "<string>"
}{
"code": 123,
"msg": "<string>"
}{
"code": 123,
"msg": "<string>"
}Authorizations
授权列表
Lists the purchase instructions (spending authorizations) of the token’s customer.
GET
/
agent
/
platform
/
authorizations
List authorizations
curl --request GET \
--url https://uat-api.clinkbill.com/agent/platform/authorizations \
--header 'Authorization: Bearer <token>'HttpResponse<String> response = Unirest.get("https://uat-api.clinkbill.com/agent/platform/authorizations")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://uat-api.clinkbill.com/agent/platform/authorizations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://uat-api.clinkbill.com/agent/platform/authorizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 200,
"msg": "Success",
"data": {
"total": 1,
"page_num": 1,
"page_size": 20,
"records": [
{
"instruction_id": "inst_...",
"client_reference_id": "0f1e2d3c-...",
"payment_instrument_id": "pi_...",
"card_last_four": "4242",
"card_type": "VIRTUAL_CARD",
"card_scheme": "VISA",
"title": "Example authorization",
"description": "Purchase authorization",
"total_amount_limit": 100,
"currency_code": "USD",
"effective_until_time": "2026-02-01T00:00:00Z",
"is_recurring": false,
"status": "ACTIVE",
"agent_info": {},
"mandates": [],
"usages": []
}
]
}
}{
"code": 123,
"msg": "<string>"
}{
"code": 123,
"msg": "<string>"
}{
"code": 123,
"msg": "<string>"
}{
"code": 123,
"msg": "<string>"
}